# Ansible playbooks

[![pipeline status](https://git.shore.co.il/ansible/playbooks/badges/master/pipeline.svg)](https://git.shore.co.il/ansible/playbooks/-/commits/master)

> Ansible playbooks (tasks that don't fit a host role).

# Requirements

- Python 3.6 or greater.
- [pipenv](https://pipenv.readthedocs.io/en/latest/).
- [direnv](https://direnv.net/) (optional).

# List of playbooks

* `AWS/vpc.yml` - Create a VPC.
* `AWS/vpc-teardown`-  Teardown a VPC.
* `desktop/fix-firefox-launcher.yml` - Fix the Firefox flatpak launcher.
* `standalone-elk/playbook.yml` - Deploy the standalone ELK setup.

# Usage

Linters: `pipenv run lint`

## License

This software is licensed under the MIT license (see `LICENSE.txt`).

## Author Information

Nimrod Adar, [contact me](mailto:nimrod@shore.co.il) or visit my [website](
https://www.shore.co.il/). Patches are welcome via [`git send-email`](
http://git-scm.com/book/en/v2/Git-Commands-Email). The repository is located
at: <https://git.shore.co.il/explore/>.
